#ifndef userfirewall_h
#define userfirewall_h
#pragma interface
#ifndef MISC_H
    #include <misc.h>
#endif
#ifndef MODULE_H
    #include <module.h>
#endif

#include <modapi_def.h>
#include <modapi.h>
#include <time.h>

class FIREUSERS;
class FIREUSER: public ARRAY_OBJ{
public:
	SSTRING id;
	SSTRING name;
	SSTRING pass;
	SSTRING groups;
	char inter;
	SSTRING source;
	time_t until;
	/*~PROTOBEG~ FIREUSER */
public:
	FIREUSER (const char *_id,
		 const char *_pass,
		 const char *_name,
		 const char *_groups,
		 char _inter,
		 const char *_source,
		 time_t _until);
	FIREUSER (void);
	int edit (FIREUSERS&users);
	/*~PROTOEND~ FIREUSER */
};

class FIREUSERS: public ARRAY{
	/*~PROTOBEG~ FIREUSERS */
public:
	FIREUSERS (void);
	FIREUSER *getitem (int no)const;
	void load (void);
	FIREUSER *locate (const char *id);
	int write (void);
	/*~PROTOEND~ FIREUSERS */
};

class FIRESUPPLIER: public ARRAY_OBJ{
public:
	SSTRING id;
	SSTRING secret;
	/*~PROTOBEG~ FIRESUPPLIER */
public:
	FIRESUPPLIER (const char *_id,
		 const char *_secret);
	FIRESUPPLIER (void);
	int edit (void);
	/*~PROTOEND~ FIRESUPPLIER */
};

class FIRESUPPLIERS: public ARRAY{
	/*~PROTOBEG~ FIRESUPPLIERS */
public:
	FIRESUPPLIERS (void);
	FIRESUPPLIER *getitem (int no)const;
	int write (void);
	/*~PROTOEND~ FIRESUPPLIERS */
};


#include "userfirewall.p"

#endif
